example-app/routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','MainController@pageHome');
Route::get('/incubirovanie','MainController@incubirovanie');
Route::get('/contact','MainController@contacti');
//admin panel
Route::get('/logTo','MainController@loginToTheAdminPanel');

Route::get('/sales','MainController@adminSales');
Route::get('/chat','MainController@adminChat');
Route::get('/mail','MainController@adminMail');
Route::resource('mail', MailController::class);
Route::resource('ocompany', 'App\Http\Controllers\AdminPanel\StatisticController');
Route::resource('company', 'App\Http\Controllers\AdminPanel\CompanyController');
Route::resource('process', 'App\Http\Controllers\AdminPanel\ProcessController');
Route::resource('title', 'App\Http\Controllers\AdminPanel\FirstTitleTetxController');
Route::resource('text', 'App\Http\Controllers\AdminPanel\TetxController');
Route::resource('video', 'App\Http\Controllers\AdminPanel\VideoController');
Route::resource('image', 'App\Http\Controllers\AdminPanel\ImageController');

Route::resource('adminIncubirovanetext', 'App\Http\Controllers\AdminPanel\IncubirovaneTextController');
Route::resource('mailAdd', \App\Http\Controllers\AddUserController::class);

//Form
Route::middleware('auth')->group(function () {
    Route::resource('shop', \App\Http\Controllers\ShopController::class);
    Route::resource('order', \App\Http\Controllers\OrderController::class);
    Route::get('/searchOrders', '\App\Http\Controllers\OrderController@search')->name('order.search');
    Route::resource('trueOrder', \App\Http\Controllers\TrueOrderController::class);
    Route::resource('truemainOrderController', \App\Http\Controllers\TruemainOrderController::class);
    Route::get('/adminPanel','MainController@adminPanel');
    Route::resource('/tableusers',  \App\Http\Controllers\AdminPanel\TableuaserController::class);
    Route::resource('/tableproducts',  \App\Http\Controllers\ProductController::class);
    Route::get('/searchOrdersA', '\App\Http\Controllers\ProductController@search')->name('orderA.search');

Route::prefix('admin')->group(function () {
    Route::prefix('/pageHome')->group(function () {
        Route::resource('/adminIncubirovane', 'App\Http\Controllers\AdminPanel\IncubirovaneController');
        Route::get('/openAdminSlider', 'App\Http\Controllers\AdminPanel\SliderController@slider')->name('adminSlider');
        Route::prefix('adminSlider')->group(function () {
            Route::get('bd/delete{id}', 'App\Http\Controllers\AdminPanel\SliderController@delete')->name('bd.delete');
            Route::resource('bd', 'App\Http\Controllers\AdminPanel\SliderController')->except([
                'create', 'show', 'edit','destroy'
            ]);


        });

        Route::get('/openAdminGalerea', 'App\Http\Controllers\AdminPanel\GalleryController@gallery');
        Route::get('adminGalleryGroup/delete{id}', 'App\Http\Controllers\AdminPanel\GalleryController@deleteCategory')->name('adminGalleryGroup.deleteCategory');
        Route::prefix('adminGalleryGroup')->group(function () {
            Route::resource('adminGalerea', 'App\Http\Controllers\AdminPanel\GalleryController')->except([
                'create', 'edit','destroy'
            ]);
        });
        Route::get('/openAdminNews', 'App\Http\Controllers\AdminPanel\NewsController@news');
        Route::get('/openAdminNews/updatePages{id}', 'App\Http\Controllers\AdminPanel\NewsController@updatePages')->name('NewsController.updatePages');
        Route::prefix('openAdminNewsGroup')->group(function () {
            Route::resource('openAdminNewsGroup', 'App\Http\Controllers\AdminPanel\NewsController')->except([
                'create', 'edit'
            ]);
        });

    });
});
    Route::get('/admin/pageHome/adminIncubirovanie', 'MainController@adminIncubirovane');
    Route::get('/adminContact', 'MainController@adminContact');
});

//формы
Route::post('/form', 'FormController@store')->name('form');

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

example-app/app/Http/Controllers/ShopController.php
<?php

namespace App\Http\Controllers;

use App\Models\Order;
use App\Models\Product;
use App\Models\User;
use Illuminate\Http\Request;

class ShopController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $products = Product::all();

        return  view('shop/pageShop/products', compact('products'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $product = Product::find($id);
        $user = User::find(auth()->id());
         $ored = [
            'price' => $product['price'],
             'quantity' => $request['quantity'],
             'user_id' =>$user['id'],
             'product' => $product['product'],
             'status' => '0',
             'date' => date('Y-m-d')

        ];

         Order::create($ored);
       // dd($ored);
        return redirect()->action([OrderController::class, 'index']);

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

example-app/resources/views/shop/pageShop/order.blade.php
@extends('../../../shop/app')
@section('name')
    Заказы
@endsection
@section('orders')
    active
@endsection
@section('scriptAdd')
    <script src="{{asset('style/js/mainMenu.js')}}"></script>
    <script src="{{asset('style/pageAdmin/plugins/table/datatable/datatables.js')}}"></script>
    @endsection
@section('headerAddLink')
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/datatables.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/dt-global_style.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('style/css/mainMenu.css')}}">
@endsection
@section('content')


        <div class="layout-px-spacing">

            <div class="row layout-top-spacing" id="cancel-row">

                <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Заказы</h4>
                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area br-6">
                        <div class="dt--top-section">

                        </div>
                        <table id="zero-config" class="table dt-table-hover" style="width:100%">
                            <form method="GET"  action="{{route('order.search')}}">
                                @csrf
                                <div class="form-group d-flex justify-content-around  pt-2" >

                                    <div class="input-group mb-4" style="width: 40%;">
                                        <div class="input-group-prepend" >
                                                <span class="input-group-text" id="basic-addon5">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-bag"><path d="M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"></path><line x1="3" y1="6" x2="21" y2="6"></line><path d="M16 10a4 4 0 0 1-8 0"></path></svg>
                                                </span>
                                        </div>
                                        <input type="text" name="product" class="form-control mainInput" placeholder="Поиск по заказу" value="{{$request['search']}}"  aria-label="Username">
                                    </div>
                                    <label for="inputDate" class="align-self-center pb-3  mr-3">C </label>
                                    <input type="date" name="dateOne" class="form-control" value="{{$request['dateOne']}}" style="width: 17%; ">
                                    <label for="inputDate" class="align-self-center  pb-3  mr-3">ДО </label>
                                    <input type="date" name="dateTwo" class="form-control" value="{{$request['dateTwo']}}" style="width: 17%; ">
                                    <button type="submit" class="log_out" style="width: 45.4px; height: 45.4px; margin-top: -0px">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>
                                    </button>

                                </div>

                            </form>
                            <thead>
                            <tr>
                                <th>Мои заказы</th>
                                <th>Количество</th>
                                <th>Цена за одну</th>
                                <th class="no-content">Удалить</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($mainOrders as $product)
                                <tr>
                                    <td>{{$product['product']}}</td>
                                    <td>{{$product['quantity']}}</td>
                                    <td>{{$product['price']}} рублей</td>
                                    <td><a href="" data-toggle="modal" data-target="#d{{$product['id']}} "> <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path></svg></a></td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <div class="w-90">
                            @if($request['search'] == '')
                                {{$mainOrders->appends(['product' => '', 'dateOne' =>$request['dateOne'], 'dateTwo' => $request['dateTwo']])->links()}}
                            @else
                                {{$mainOrders->appends(['product' => $request['search'], 'dateOne' =>$request['dateOne'], 'dateTwo' => $request['dateTwo']])->links()}}

                            @endif
                        </div>
                    </div>
                </div>
                <!-- Button trigger modal -->


                <!-- Modal -->
                @foreach($mainOrders as $product)
                    <div id="d{{$product['id']}}" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-sm">
                            <div class="modal-content p-1">
                                <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                    <h4>Вы точно хотите удалить заказ?</h4>
                                </div>
                                <a href="{{route('order.show',$product['id'])}}" class="btn btn-primary mb-2">Да</a>
                            </div>
                        </div>
                    </div>

                @endforeach
            </div>

        </div>



@endsection

example-app/resources/views/shop/pageShop/paginationOrders.blade.php
@extends('../../../shop/app')
@section('name')
    Заказы
@endsection
@section('orders')
    active
@endsection
@section('scriptAdd')
    <script src="{{asset('style/js/mainMenu.js')}}"></script>
    <script src="{{asset('style/pageAdmin/plugins/table/datatable/datatables.js')}}"></script>
@endsection
@section('headerAddLink')
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/datatables.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/dt-global_style.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('style/css/mainMenu.css')}}">
@endsection
@section('content')


    <div class="layout-px-spacing">

        <div class="row layout-top-spacing" id="cancel-row">

            <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                <div class="widget-header">
                    <div class="row">
                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                            <h4>Заказы</h4>
                        </div>
                    </div>
                </div>

                <div class="widget-content widget-content-area br-6">
                    <div class="dt--top-section">

                    </div>
                    <table id="zero-config" class="table dt-table-hover" style="width:100%">
                        <form method="post"  action="{{route('order.search')}}">
                            @csrf
                            <div class="form-group d-flex justify-content-around  pt-2" >

                                <div class="input-group mb-4" style="width: 40%;">
                                    <div class="input-group-prepend" >
                                                <span class="input-group-text" id="basic-addon5">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-bag"><path d="M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"></path><line x1="3" y1="6" x2="21" y2="6"></line><path d="M16 10a4 4 0 0 1-8 0"></path></svg>
                                                </span>
                                    </div>
                                    <input type="text" name="product" class="form-control mainInput" placeholder="Поиск по заказу" value="{{$request['search']}}"  aria-label="Username">
                                </div>
                                <label for="inputDate" class="align-self-center pb-3  mr-3">C </label>
                                <input type="date" name="dateOne" class="form-control" value="{{$request['dateOne']}}" style="width: 17%; ">
                                <label for="inputDate" class="align-self-center  pb-3  mr-3">ДО </label>
                                <input type="date" name="dateTwo" class="form-control" value="{{$request['dateTwo']}}" style="width: 17%; ">
                                <button type="submit" class="log_out" style="width: 45.4px; height: 45.4px; margin-top: -0px">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>
                                </button>

                            </div>

                        </form>
                        <thead>
                        <tr>
                            <th>Мои заказы</th>
                            <th>Количество</th>
                            <th>Цена за одну</th>
                            <th class="no-content">Удалить</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($mainOrders as $product)
                            <tr>
                                <td>{{$product['product']}}</td>
                                <td>{{$product['quantity']}}</td>
                                <td>{{$product['price']}} рублей</td>
                                <td><a href="" data-toggle="modal" data-target="#d{{$product['id']}} "> <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path></svg></a></td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="w-90">
                        {{$mainOrders->links()}}
                    </div>
                </div>
            </div>
            <!-- Button trigger modal -->


            <!-- Modal -->
            @foreach($mainOrders as $product)
                <div id="d{{$product['id']}}" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content p-1">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Вы точно хотите удалить заказ?</h4>
                            </div>
                            <a href="{{route('order.show',$product['id'])}}" class="btn btn-primary mb-2">Да</a>
                        </div>
                    </div>
                </div>

            @endforeach
        </div>

    </div>



@endsection

example-app/resources/views/shop/pageShop/products.blade.php
@extends('../../../shop/app')
@section('name')
    Продукты
@endsection
@section('product')
    active
@endsection
@section('scriptAdd')

    <script src="{{asset('style/pageAdmin/plugins/table/datatable/datatables.js')}}"></script>
    <script>
        $('#zero-config').DataTable({
            "dom": "<'dt--top-section'<'row'<'col-12 col-sm-6 d-flex justify-content-sm-start justify-content-center'l><'col-12 col-sm-6 d-flex justify-content-sm-end justify-content-center mt-sm-0 mt-3'f>>>" +
                "<'table-responsive'tr>" +
                "<'dt--bottom-section d-sm-flex justify-content-sm-between text-center'<'dt--pages-count  mb-sm-0 mb-3'i><'dt--pagination'p>>",
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Найти...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "stripeClasses": [],
            "lengthMenu": [7, 10, 20, 50],
            "pageLength": 7
        });
    </script>    @endsection
@section('headerAddLink')
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/datatables.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/dt-global_style.css')}}">

@endsection
@section('content')

        <div class="layout-px-spacing">

            <div class="row layout-top-spacing" id="cancel-row">

                <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Заказать</h4>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-area br-6">
                        <table id="zero-config" class="table dt-table-hover" style="width:100%">
                            <thead>
                            <tr>
                                <th>Продукты</th>
                                <th>Цена</th>
                                <th class="no-content">Купить</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($products as $product)
                                <tr>
                                    <td>{{$product['product']}}</td>
                                    <td>{{$product['price']}} рублей</td>
                                    <td><a href="" data-toggle="modal" data-target="#d{{$product['id']}} "><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-plus"><line x1="12" y1="5" x2="12" y2="19"></line><line x1="5" y1="12" x2="19" y2="12"></line></svg></a></td>
                                </tr>
                            @endforeach
                            </tbody>

                        </table>
                    </div>
                </div>
                <!-- Button trigger modal -->


                <!-- Modal -->
                @foreach($products as $product)
                    <div class="modal fade login-modal" id="d{{$product['id']}}" tabindex="-1" role="dialog" aria-labelledby="loginModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">

                                <div class="modal-header" id="loginModalLabel">
                                    <h4 class="modal-title">Заказать</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x"><line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line></svg></button>
                                </div>
                                <div class="modal-body">

                                    <form method="post" action="{{route('shop.update', $product['id'])}}" class="mt-0">
                                        @csrf
                                        @method('PUT')
                                        <div class="form-group">
                                            <div class="form-group">
                                                <label>{{$product['product']}}</label>
                                            </div>
                                            <label>{{$product['price']}} рублей</label>
                                            <input name="quantity" class="form-control mb-2" placeholder="Количество" >
                                        </div>

                                        <button type="submit" class="btn btn-primary mt-2 mb-2 btn-block">Заказать</button>

                                    </form>






                                </div>

                            </div>
                        </div>
                    </div>

                @endforeach
            </div>

        </div>


@endsection

example-app/resources/views/shop/pageShop/trueorder.blade.php
@extends('../../../shop/app')
@section('name')
    Доставленное
@endsection
@section('trueOrder')
    active
@endsection
@section('scriptAdd')

    <script src="{{asset('style/pageAdmin/plugins/table/datatable/datatables.js')}}"></script>
    <script>
        $('#zero-config').DataTable({
            "dom": "<'dt--top-section'<'row'<'col-12 col-sm-6 d-flex justify-content-sm-start justify-content-center'l><'col-12 col-sm-6 d-flex justify-content-sm-end justify-content-center mt-sm-0 mt-3'f>>>" +
                "<'table-responsive'tr>" +
                "<'dt--bottom-section d-sm-flex justify-content-sm-between text-center'<'dt--pages-count  mb-sm-0 mb-3'i><'dt--pagination'p>>",
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Найти...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "stripeClasses": [],
            "lengthMenu": [7, 10, 20, 50],
            "pageLength": 7
        });
    </script>    @endsection
@section('headerAddLink')
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/datatables.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('style/pageAdmin/plugins/table/datatable/dt-global_style.css')}}">

@endsection
@section('content')


        <div class="layout-px-spacing">

            <div class="row layout-top-spacing" id="cancel-row">

                <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Доставленные заказы</h4>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-area br-6">

                        <table id="zero-config" class="table dt-table-hover" style="width:100%">
                            <thead>
                            <tr>
                                <th>Заказы</th>
                                <th>Количество</th>
                                <th>Цена за одну</th>
                                <th class="no-content">Удалить</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($mainOrders as $product)
                                <tr>
                                    <td>{{$product['product']}}</td>
                                    <td>{{$product['quantity']}}</td>
                                    <td>{{$product['price']}} рублей</td>
                                    <td><a href="" data-toggle="modal" data-target="#d{{$product['id']}} "> <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path></svg></a></td>
                                </tr>
                            @endforeach
                            </tbody>

                        </table>
                    </div>
                </div>
                <!-- Button trigger modal -->


                <!-- Modal -->
                @foreach($mainOrders as $product)
                    <div id="d{{$product['id']}}" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-sm">
                            <div class="modal-content p-1">
                                <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                    <h4>Вы точно хотите удалить поле?</h4>
                                </div>
                                <a href="{{route('truemainOrderController.show',$product['id'])}}" class="btn btn-primary mb-2">Да</a>
                            </div>
                        </div>
                    </div>

                @endforeach
            </div>

        </div>


@endsection